Bug 462101 - Squid proxy in ssl accelerator mode using up 100% CPU
Squid proxy in ssl accelerator mode using up 100% CPU
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: squid (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jiri Skala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-12 12:44 EDT by Issue Tracker
Modified: 2014-11-09 17:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 13:36:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2008-09-12 12:44:12 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Martin Poole 2008-09-12 13:02:30 EDT
Customer is hitting upstream bug

  http://www.squid-cache.org/bugs/show_bug.cgi?id=2296

  Bug #2296: Stuck in 100% CPU when fetching an corrupt peer digest


Could not reproduce directly, but getting the customer to flip the daemon into debug mode for a couple of seconds produced the following sequence in the cache.log, the sequence being repeated about 8000 times a second whilst logging.


2008/09/09 12:41:19| storeClientCopy: 0316B0493531FF972296AA94BA13A110, seen 540, want 0, size 4096, cb 0x80a1bbf, cbdata 0x84c5148
2008/09/09 12:41:19| cbdataLock: 0x84c5148
2008/09/09 12:41:19| storeClientCopy2: Queueing storeClientCopyEvent()
2008/09/09 12:41:19| cbdataLock: 0x860d040
2008/09/09 12:41:19| eventAdd: Adding 'storeClientCopyEvent', in 0.000000 seconds
2008/09/09 12:41:19| cbdataUnlock: 0x84c5148
2008/09/09 12:41:19| cbdataUnlock: 0x860d040
2008/09/09 12:41:19| comm_select: timeout 0
2008/09/09 12:41:19| comm_select: time out
2008/09/09 12:41:19| eventRun: RUN ID -16977269
2008/09/09 12:41:19| cbdataValid: 0x860d040
2008/09/09 12:41:19| cbdataUnlock: 0x860d040
2008/09/09 12:41:19| eventRun: Running 'storeClientCopyEvent', id -16977270
2008/09/09 12:41:19| storeClientCopyEvent: Running
2008/09/09 12:41:19| cbdataLock: 0x860d040
2008/09/09 12:41:19| storeClientCopy2: 0316B0493531FF972296AA94BA13A110
2008/09/09 12:41:19| storeClientCopy3: Copying from memory
2008/09/09 12:41:19| memCopy: offset 0: size 4096
2008/09/09 12:41:19| storeSwapOut: lowest_offset = 0
2008/09/09 12:41:19| cbdataValid: 0x84c5148
2008/09/09 12:41:19| cbdataValid: 0x84c5148
2008/09/09 12:41:19| cbdataValid: 0x8346e58
2008/09/09 12:41:19| cbdataValid: 0x8320578
2008/09/09 12:41:19| peerDigestFetchReply: peer 10.0.2.3, offset: 0 size: 540.
2008/09/09 12:41:19| cbdataValid: 0x8320578
2008/09/09 12:41:19| storeClientCopy: 0316B0493531FF972296AA94BA13A110, seen 540, want 0, size 4096, cb 0x80a1bbf, cbdata 0x84c5148
2008/09/09 12:41:19| cbdataLock: 0x84c5148
2008/09/09 12:41:19| storeClientCopy2: Queueing storeClientCopyEvent()
2008/09/09 12:41:19| cbdataLock: 0x860d040
2008/09/09 12:41:19| eventAdd: Adding 'storeClientCopyEvent', in 0.000000 seconds
2008/09/09 12:41:19| cbdataUnlock: 0x84c5148
2008/09/09 12:41:19| cbdataUnlock: 0x860d040
2008/09/09 12:41:19| comm_select: timeout 0
2008/09/09 12:41:19| comm_select: time out
2008/09/09 12:41:19| eventRun: RUN ID -16977268
2008/09/09 12:41:19| cbdataValid: 0x860d040
2008/09/09 12:41:19| cbdataUnlock: 0x860d040
2008/09/09 12:41:19| eventRun: Running 'storeClientCopyEvent', id -16977269
2008/09/09 12:41:19| storeClientCopyEvent: Running
2008/09/09 12:41:19| cbdataLock: 0x860d040
2008/09/09 12:41:19| storeClientCopy2: 0316B0493531FF972296AA94BA13A110
2008/09/09 12:41:19| storeClientCopy3: Copying from memory
2008/09/09 12:41:19| memCopy: offset 0: size 4096
2008/09/09 12:41:19| storeSwapOut: lowest_offset = 0
2008/09/09 12:41:19| cbdataValid: 0x84c5148
2008/09/09 12:41:19| cbdataValid: 0x84c5148
2008/09/09 12:41:19| cbdataValid: 0x8346e58
2008/09/09 12:41:19| cbdataValid: 0x8320578
2008/09/09 12:41:19| peerDigestFetchReply: peer 10.0.2.3, offset: 0 size: 540.
2008/09/09 12:41:19| cbdataValid: 0x8320578
2008/09/09 12:41:19| storeClientCopy: 0316B0493531FF972296AA94BA13A110, seen 540, want 0, size 4096, cb 0x80a1bbf, cbdata 0x84c5148
Comment 3 Martin Poole 2009-02-18 06:55:08 EST
It would appear the rebase to STABLE21 in 5.3 includes this fix. So this BZ can probably be closed.
Comment 5 RHEL Product and Program Management 2009-03-26 12:56:44 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Note You need to log in before you can comment on or make changes to this bug.